{ config, lib, pkgs, ... }:

with lib;

{
  options = {
    sydnix.gpg = {
      enable = mkEnableOption "GnuPG";
    };
  };

  config = mkIf config.sydnix.gpg.enable {
    programs.gnupg.agent = {
      enable = true;
      enableSSHSupport = true;
    };

    environment.systemPackages = [ pkgs.gnupg ];
  };
}
